org.apache.xerces.xs

## Class XSException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.xerces.xs.XSException

All Implemented Interfaces:
  java.io.Serializable

    public class XSException
    extends java.lang.RuntimeException

The XML Schema API operations only raise exceptions in "exceptional" circumstances, i.e., when an operation is impossible to perform (either for logical reasons, because data is lost, or because the implementation has become unstable).

Implementations should raise other exceptions under other circumstances.

Some languages and object systems do not support the concept of exceptions. For such systems, error conditions may be indicated using native error reporting mechanisms. For some bindings, for example, methods may return error codes similar to those listed in the corresponding method descriptions.

See Also:
  Serialized Form

### Field Summary

Fields
`short` `code`
`static short` `INDEX_SIZE_ERR` If index or size is negative, or greater than the allowed value
`static short` `NOT_SUPPORTED_ERR` If the implementation does not support the requested type of object or operation.

### Constructor Summary

Constructors
Constructor and Description
`XSException(short code, java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### code

    public short code

#### NOT_SUPPORTED_ERR

    public static final short NOT_SUPPORTED_ERR

If the implementation does not support the requested type of object or operation.

See Also:
  Constant Field Values

#### INDEX_SIZE_ERR

    public static final short INDEX_SIZE_ERR

If index or size is negative, or greater than the allowed value

See Also:
  Constant Field Values

### Constructor Detail

#### XSException

    public XSException(short code,
                       java.lang.String message)